Package Details: record-query-git v0.10.4.r50.gd84d4d8-1

Git Clone URL: https://aur.archlinux.org/record-query-git.git (read-only)
Package Base: record-query-git
Description: A tool for doing record analysis and transformation
Upstream URL: https://github.com/dflemstr/rq
Licenses: Apache
Submitter: dflemstr
Maintainer: dflemstr
Last Packager: dflemstr
Votes: 3
Popularity: 0.032504
First Submitted: 2016-08-16 15:30
Last Updated: 2019-02-03 13:33

Latest Comments

esbdb commented on 2019-10-29 05:06

It failed to build:

   Compiling v8 v0.10.0
error: `...` range patterns are deprecated
   --> src/query/parser.rs:284:15
    |
284 |         0xdc00...0xdfff => panic!("Leading surrogate"),
    |               ^^^ help: use `..=` for an inclusive range
    |
note: lint level defined here
   --> src/lib.rs:6:9
    |
6   | #![deny(warnings)]
    |         ^^^^^^^^
    = note: #[deny(ellipsis_inclusive_range_patterns)] implied by #[deny(warnings)]

error: `...` range patterns are deprecated
   --> src/query/parser.rs:285:15
    |
285 |         0xd800...0xdbff => {
    |               ^^^ help: use `..=` for an inclusive range

error: `...` range patterns are deprecated
   --> src/query/parser.rs:317:16
    |
317 |             '0'...'9' => '0' as u16 - h as u16,
    |                ^^^ help: use `..=` for an inclusive range

error: aborting due to 3 previous errors

error: Could not compile `record-query`.

To learn more, run the command again with --verbose.
==> ERROR: A failure occurred in build()
➜  ~ rustc --version
rustc 1.37.0 (eae3437df 2019-08-13)

dflemstr commented on 2019-02-03 14:38

Applied your patch + did some additional tweaks @nullptr :)

nullptr commented on 2019-01-30 16:58

Great tool! Here's a patch to build against the supported v8 version as is done for CI. (x86_64 only)

https://gist.github.com/nullptr/6640490e90b4272c838a6328f7d1e99f

marcs commented on 2017-03-31 10:38

In think you need to add "cargo" to makedepends.
Interesting tool btw.